Bug 126627 - CRASH: undoing redlinehide deletion
Summary: CRASH: undoing redlinehide deletion
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.2.0.0.beta1+
Hardware: All All
: medium normal
Assignee: Michael Stahl (CIB)
URL:
Whiteboard: target:6.4.0 target:6.3.1 target:6.2.7
Keywords: bibisected, bisected, needUITest, regression
Depends on:
Blocks:
 
Reported: 2019-07-30 15:42 UTC by Xisco Faulí
Modified: 2019-08-13 08:10 UTC (History)
3 users (show)

See Also:
Crash report or crash signature: ["sw::GotoNextLayoutTextFrame(SwNodeIndex &,SwRootFrame const *)"]


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2019-07-30 15:42:21 UTC
Steps to reproduce:
1. Open attachment 152718 [details] from bug 126340
2. Place the cursor before 'bar'
3. Hit backspace 4 times -> Foo and bar are together
4. Undo once

-> Crash

Reproduced in

Version: 6.4.0.0.alpha0+
Build ID: 850693273970be2662cce8f4d2710b3657a02f65
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded
Comment 1 Xisco Faulí 2019-07-30 15:46:51 UTC
This started to crash after

https://cgit.freedesktop.org/libreoffice/core/commit/?id=6b3d7e1d10912c7ed5d12256e6d02cbe414b3e50

author	Michael Stahl <Michael.Stahl@cib.de>	2018-10-26 17:22:48 +0200
committer	Michael Stahl <Michael.Stahl@cib.de>	2018-11-15 15:10:03 +0100
commit	6b3d7e1d10912c7ed5d12256e6d02cbe414b3e50 (patch)
tree	d7f6fc608a9f2c18e2ed39abcdd40921ba8d96b6
parent	4d472b9b80a5c62338b7f080d5654d741c75e532 (diff)
sw_redlinehide_3: adapt even more SwEditShell Num

Bisected with: bibisect-linux64-6.3

Adding Cc: to Michael Stahl
Comment 2 Commit Notification 2019-08-09 16:26:38 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/f6a7dee56c984f36261c75a1056cc3a5bf43b2f1%5E%21

tdf#126627 sw_redlinehide: fix corner case in SwUndoDelete::UndoImpl()

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Michael Stahl (CIB) 2019-08-09 16:38:55 UTC
fixed on master
Comment 4 Commit Notification 2019-08-10 10:40:54 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/+/4093811d1327e83edf216639d7b1173d8ebf7165%5E%21

tdf#126627 sw_redlinehide: fix corner case in SwUndoDelete::UndoImpl()

It will be available in 6.3.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Xisco Faulí 2019-08-12 08:29:36 UTC
Verified in

Version: 6.4.0.0.alpha0+
Build ID: 2812610f4f39ed5892da08864893c758325d1d39
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Michael Stahl, thanks for fixing this issue!
Comment 6 Commit Notification 2019-08-13 08:10:28 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/f3c60c60d03947961d893e23c0e4baf20fb0107b%5E%21

tdf#126627 sw_redlinehide: fix corner case in SwUndoDelete::UndoImpl()

It will be available in 6.2.7.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.